Name:           beefy-miracle-backgrounds
Version:        16.91.0
Release:        8%{?dist}
Summary:        Beefy Miracle desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F17_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.xz

BuildArch:      noarch

# for %%_kde4_* macros
BuildRequires:  kde-filesystem
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}


%description
This package contains desktop backgrounds for the Beefy Miracle theme.
Pulls in both Gnome and KDE themes.

%package        single
Summary:        Single screen images for Beefy Miracle Backgrounds
Group:          Applications/Multimedia
License:        CC-BY-SA

%description    single
This package contains single screen images for Beefy Miracle
Backgrounds.

%package        kde
Summary:        Beefy Miracle Wallpapers for KDE
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release}
Requires:       kde-filesystem

%description    kde
This package contains KDE desktop wallpapers for the Beefy Miracle
theme.

%package        gnome
Summary:        Beefy Miracle Wallpapers for Gnome
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release}

%description    gnome
This package contains Gnome desktop wallpapers for the Beefy Miracle
theme.

%package        xfce
Summary:        Beefy Miracle Wallpapers for XFCE4
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release}
Requires:       xfdesktop

%description    xfce
This package contains XFCE4 desktop wallpapers for the Beefy Miracle
theme.

%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc

%files single
%doc CC-BY-SA?3.0 Attribution
%dir %{_datadir}/backgrounds/beefy-miracle
%dir %{_datadir}/backgrounds/beefy-miracle/default
%{_datadir}/backgrounds/beefy-miracle/default/normalish
%{_datadir}/backgrounds/beefy-miracle/default/standard
%{_datadir}/backgrounds/beefy-miracle/default/wide

%files kde
%{_kde4_datadir}/wallpapers/Beefy_Miracle/

%files gnome
%{_datadir}/backgrounds/beefy-miracle/default/beefy-miracle.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-beefy-miracle.xml

%files xfce
%{_datadir}/xfce4/backdrops/beefy-miracle.png


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.91.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.91.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.91.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 21 2013 Martin Sourada <mso@fedoraproject.org> - 16.91.0-5
- Fix build

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.91.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16.91.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 06 2012 Martin Sourada <mso@fedoraproject.org> - 16.91.0-2
- Fix a typo.
- Remove buildroot and defattr, not needed since rpm 4.4

* Wed Feb 01 2012 Martin Sourada <mso@fedoraproject.org> - 16.91.0-1
- Update to Alpha release.

* Sun Jan 29 2012 Martin Sourada <mso@fedoraproject.org> - 16.90.0-1
- First release (pre-alpha wallpaper)
